LDD(1)

NAME
ldd - list dynamic object dependencies

SYNOPSIS
ldd [-f format] program ...

DESCRIPTION
ldd displays all shared objects that are needed to run the given program. Contrary to nm(1), the list includes “indirect” depedencies that are the result of needed shared objects which themselves depend on yet other shared objects. Zero, one or two -f options may be given. The argument is a format string passed to rtld(1) and allows customization of ldd's output. See rtld(1) for a list of recognised conversion characters.

SEE ALSO
ld(1), ld.so(1), nm(1)

HISTORY
A ldd utility first appeared in SunOS 4.0, it appeared in its current form in NetBSD 0.9a.